% Generated by roxygen2 (4.0.2): do not edit by hand
\name{antbio_config}
\alias{antbio_config}
\title{Get or set configuration options that control AntBioR behaviour}
\usage{
antbio_config(...)
}
\arguments{
\item{\dots}{Options can be defined using name=value. Valid options are:
\itemize{
  \item reset: \code{antbio_config("reset")} will reset the options to their default values
  \item caching string: caching can be
    "on" (results will be cached, and any cached results will be re-used),
    "refresh" (cached results will be refreshed and the new results stored in the cache), or
    "off" (no caching, default).
  \item cache_directory string: the directory to use for the cache.
    By default this is a temporary directory, which means that results will only be cached
    within an R session and cleared automatically when the user exits R. The user may wish to set this to a non-temporary directory for
    caching across sessions. The directory must exist on the file system.
  \item verbose logical: should AntBioR give verbose output to assist debugging?  (default=FALSE)
  \item user_agent string: the user-agent string used with all web requests.
    Default = "AntBioR" with version number, R version and date and user platform
  \item base_url_aadc string: the base url for AADC applicatons (default="http://www1.data.antarctica.gov.au/")
  \item base_url_biodiversityaq string: the base url for biodiversity.aq services (default="http://data.biodiversity.aq")
}}
}
\value{
For antbio_config(), a list of all options. When antbio_config(...) is
called with arguments, nothing is returned but the configuration is set.
}
\description{
Get or set configuration options that control AntBioR behaviour
}
\examples{
antbio_config()
antbio_config(caching="off",verbose=TRUE)
antbio_config("reset")
}
\author{
Australian Antarctic Data Centre \email{aadc@aad.gov.au}
}
\references{
\url{http://www1.data.antarctica.gov.au} \url{http://www.biodiversity.aq/}

Invoking \code{antbio_config()} with no arguments returns a list with the current values of the options.
}

