% Generated by roxygen2 (4.0.2): do not edit by hand
\name{get_diet_data}
\alias{get_diet_data}
\title{Get diet data from the Southern Ocean dietary database}
\usage{
get_diet_data(predator_name, prey_name, north, south, east, west)
}
\arguments{
\item{predator_name}{string: scientific name of the predator}

\item{prey_name}{string: scientific name of the prey}

\item{north}{numeric: northernmost latitude of area of interest (negative for southern hemisphere latitudes)}

\item{south}{numeric: southernmost latitude of area of interest (negative for southern hemisphere latitudes)}

\item{east}{numeric: easternmost longitude of area of interest (either 0--360 or -180--180, where negative longitudes are western hemisphere)}

\item{west}{numeric: westernmost longitude of area of interest (either 0--360 or -180--180, where negative longitudes are western hemisphere)}
}
\value{
A data frame of results
}
\description{
Get diet data from the Southern Ocean dietary database
}
\examples{
get_diet_data(predator_name="Moroteuthis knipovitchi")
}
\author{
Australian Antarctic Data Centre \email{aadc@aad.gov.au}
}
\references{
\url{http://www1.data.antarctica.gov.au/aadc/trophic/}
}

